Diff a draft with the current deployment

OBTENER /groups/{groupId}/apps/{appId}/drafts/{draftId}/diff

Return a diff between the currently deployed application and the specified draft.

Parámetros de path

Respuestas

  • 200 aplicación/json

    Successfully diffed draft.

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • diffs array[string]

      A list where each item is the line-by-line diff for a specific configuration file.

    • diferencia de archivos de alojamiento Objeto

      The filenames of hosted files that have been added, removed, or modified.

      Hide hosting_files_diff attributes Show hosting_files_diff attributes Objeto
      • added array[string]

        A list where each element is the name of a file that was added in the draft.

      • deleted array[string]

        A list where each element is the name of a file that was deleted in the draft.

      • modified array[string]

        Una lista en la que cada elemento es el nombre de un archivo que se cambió en el borrador.

OBTENER /grupos/{groupId}/aplicaciones/{appId}/borradores/{draftId}/diff
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/drafts/{draftId}/diff' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Ejemplos de respuestas (200)
{
  "diffs": [
    "string"
  ],
  "hosting_files_diff": {
    "added": [
      "string"
    ],
    "deleted": [
      "string"
    ],
    "modified": [
      "string"
    ]
  }
}